summaryrefslogtreecommitdiff
path: root/tests/techmap/run-test.sh
diff options
context:
space:
mode:
authorClifford Wolf <clifford@clifford.at>2014-02-21 12:06:40 +0100
committerClifford Wolf <clifford@clifford.at>2014-02-21 12:06:40 +0100
commit81b3f52519d388f252405fa7cc7472ca9e51bc49 (patch)
tree26d1faee61bcac2276307c8919b20ca493dfedd2 /tests/techmap/run-test.sh
parent79f8944811cba40ca0f3bda98ab951395d24fa0b (diff)
Added tests/techmap/mem_simple_4x1
Diffstat (limited to 'tests/techmap/run-test.sh')
-rwxr-xr-xtests/techmap/run-test.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/techmap/run-test.sh b/tests/techmap/run-test.sh
new file mode 100755
index 00000000..e2fc11e5
--- /dev/null
+++ b/tests/techmap/run-test.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+set -e
+for x in *_runtest.sh; do
+ echo "Running $x.."
+ if ! bash $x &> ${x%.sh}.log; then
+ tail ${x%.sh}.log
+ echo ERROR
+ exit 1
+ fi
+done